﻿@{

    var orderModeLabel = Model.OrderMode.ToString().ToLower();
}

<!--------------Start row 3---------------------->
<table class="row"
       style="border-collapse:collapse;border-spacing:0;display:table;padding:0;position:relative;text-align:left;vertical-align:top;width:100%;">
    <tbody>
        <tr style="padding:0;text-align:left;vertical-align:top">
            <th class="small-12 large-12 columns first last" valign="center"
                style="Margin:0 auto;color:#0a0a0a;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';font-size:16px;font-weight:400;line-height:1.3;margin:0 auto;padding:0;padding-bottom:6px;padding-left:16px;padding-right:16px;text-align:left;">


                <table border="0" style="border-collapse: collapse;background-color: #f3f3f3; border: 1px solid #ccc;  padding: 8px;width:100%;min-width:100%;max-width:100%;font-size: 12px;">
                    <tr style="border-left: 3px solid #878787; border-right: 3px solid #878787;">
                        <th colspan="2" align="center" style="font-size: 14px; margin: 0;margin-bottom: 4px; margin-top: 4px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; text-align: center!important; color: #28292a; font-weight: 600; padding:6px 8px;"><span style="font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; text-align: center!important; color: #28292a; font-weight: 600; padding:2px 0;"><strong style="font-size: 14px">Summary of the registration</strong></span></th>
                    </tr>
                    <tr style="border-left: 3px solid #878787; border-right: 3px solid #878787;">
                        <td>
                            <span style="padding: 0 0 0 8px;font-weight: 600;color: #28292a; display: inline-block;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-right: 3px">Confirmation ID: </strong> </span><span style="color: #878787;font-weight: 600; display: inline-block; padding: 0;font-size: 12px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-left: 2px">@Model.OrderConfirmationId</strong></span>
                        </td>
                        <td>
                            <span style="padding: 0 0 0 8px;font-weight: 600;color: #28292a; display: inline-block; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-right: 3px">Total amount: </strong> </span><span style="color: #878787;font-weight: 600; display: inline-block; padding: 0;font-size: 12px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-left: 2px">@CurrencyHelper.FormatCurrencyWithPenny(Model.OrderTotalAmount, Model.Currency)</strong></span>
                        </td>

                    </tr>
                    <tr style="border-left: 3px solid #878787; border-right: 3px solid #878787;">
                        <td>
                            <span style="color: #28292a;font-weight: 600; display: inline-block; padding: 0 0 0 8px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-right: 3px">Date and time: </strong> </span><span style="color: #878787;font-weight: 600; display: inline-block; padding: 0;font-size: 12px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-left: 2px">@Model.OrderPaidDate</strong></span>
                        </td>
                        <td>
                            <span style="color: #28292a;font-weight: 600; display: inline-block; padding: 0 0 0 8px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-right: 3px">Paid amount: </strong> </span><span style="color: #878787;font-weight: 600; display: inline-block; padding: 0;font-size: 12px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-left: 2px">@Model.OrderPaidAmount</strong></span>
                        </td>

                    </tr>
                    <tr style="border-left: 3px solid #878787; border-right: 3px solid #878787;">
                        <td>
                            <span style="color: #28292a;font-weight: 600; display: inline-block;padding: 0 0 0 8px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-right: 3px">Order type: </strong> </span><span style="color: #878787;font-weight: 600; display: inline-block; padding: 0;font-size: 12px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-left: 2px">@orderModeLabel</strong></span>
                        </td>
                        <td>
                            <span style="color: #28292a;font-weight: 600; display: inline-block;padding: 0 0 0 8px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-right: 3px">Payment method: </strong> </span><span style="color: #878787;font-weight: 600; display: inline-block; padding: 0;font-size: 12px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-left: 2px">@Model.CardType</strong></span>
                        </td>

                    </tr>
                    <tr style="border-left: 3px solid #878787; border-right: 3px solid #878787;">
                        <td colspan="2">
                            <span style="color: #28292a;font-weight: 600; display: inline-block;padding: 0 0 8px 8px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-right: 3px">Account: </strong> </span><span style="color: #878787;font-weight: 600; display: inline-block; padding: 0;font-size: 12px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';"><strong style="font-size: 12px;padding-left: 2px">@Model.OrderUserName</strong></span>
                        </td>
                    </tr>
                </table>
            </th>
        </tr>
    </tbody>
</table>
<!--------------End row 3---------------------->
<!--------------Start row 4---------------------->
@if (!string.IsNullOrEmpty(Model.PaymentInstruction) && Model.OrderMode == OrderMode.Online)
{

    <table class="row"
           style="border-collapse:collapse;border-spacing:0;display:table;padding:0;position:relative;text-align:left;vertical-align:top;width:100%;">
        <tbody>
            <tr style="padding:0;text-align:left;vertical-align:top">
                <th class="small-12 large-12 columns first last" valign="center"
                    style="Margin:0 auto;color:#0a0a0a;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';font-size:16px;font-weight:400;line-height:1.3;margin:0 auto;padding:0;padding-bottom:6px;padding-left:16px;padding-right:16px;text-align:left;">


                    <table border="0" style="border-collapse: collapse;background-color: #f3f3f3; border: 1px solid #ccc;  padding: 8px;width:100%;min-width:100%;max-width:100%;font-size: 12px;">
                        <tr style="border-left: 3px solid #878787; border-right: 3px solid #878787;">
                            <th align="center" style="font-size: 14px; margin: 0;margin-bottom: 4px; margin-top: 4px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; text-align: center!important; color: #28292a; font-weight: 600; padding:6px 8px;"><span style="font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; text-align: center!important; color: #28292a; font-weight: 600; padding:2px 0;"><strong style="font-size: 14px">Payment instructions</strong></span></th>
                        </tr>

                        <tr style="border-left: 3px solid #878787; border-right: 3px solid #878787;">
                            <td>
                                <p style="padding:0 8px 8px;margin: 0;font-weight: 600;color: #5a5959;font-size: 12px; display: inline-block;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';">
                                    <strong style="font-size: 12px;padding-left: 2px">@Model.PaymentInstruction</strong>
                                </p>
                            </td>
                        </tr>

                    </table>
                </th>
            </tr>
        </tbody>
    </table>


}
<!--------------End row 4---------------------->
<!--------------Start row 5---------------------->

<table class="row"
       style="margin-top: 3px;border-collapse:collapse;border-spacing:0;display:table;padding:0;position:relative;text-align:left;vertical-align:top;width:100%;">
    <tbody>
        <tr style="padding:0;text-align:left;vertical-align:top">
            <th class="small-12 large-12 columns first last" valign="center"
                style="Margin:0 auto;color:#0a0a0a;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';font-size:16px;font-weight:400;line-height:1.3;margin:0 auto;padding:0;padding-bottom:6px;padding-left:16px;padding-right:16px;text-align:left;max-width:628px">


                <table style="border-collapse: collapse; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; width: 100%; margin: 0; border-color: #ccc; border: none;">
                    <tr style="background-color: #878787; color: #fff;">
                        <td style="font-size: 13px;border: 1px solid #ccc;font-weight: 600; letter-spacing: 0.7px; padding: 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';width:35%;">
                            <h3 style="letter-spacing: 0.7px;font-size: 13px; line-height: 1.3em;color: #f5f5f5;text-align: left!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;margin: 0;">
                                Participant
                            </h3>
                        </td>
                        <td style="font-size: 13px;border: 1px solid #ccc; font-weight: 600; letter-spacing: 0.7px; padding: 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';width:65%">
                            <h3 style="letter-spacing: 0.7px;font-size: 13px; line-height: 1.3em;color: #f5f5f5;text-align: left!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;margin: 0">
                                Program
                            </h3>

                        </td>
                    </tr>

                    @foreach (var item in Model.ReservationItems)
                    {
                        decimal totalAmount = 0;
                        <tr>
                            <td style="font-size: 12px; font-weight: 600;vertical-align: top; letter-spacing: 0.7px;border: 1px solid #ccc;padding: 8px 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';text-align: center;width:35%;">
                                <strong>@item.PlayerFullName</strong>
                            </td>

                            <td style="border: 1px solid #ccc;width:65%">

                                <table style="border-radius: 3px 3px 0 0;border-collapse: collapse;">
                                    <tbody>
                                        <tr>
                                            <td colspan="3">
                                                <table style="width:100%;padding: 4px 4px 4px;background-color: #f3f3f3; margin-top: 2px;">
                                                    <tr style="padding: 0;">
                                                        <td style="padding: 0;">
                                                            <a href="@item.EventUrl"
                                                               style="text-decoration: none;color: #15c;font-size: 12px;display: inline-block;font-weight:600"><strong style="font-size: 12px">@item.EventName</strong></a>
                                                        </td>
                                                    </tr>
                                                    @if (!string.IsNullOrEmpty(item.EventDate))
                                                    {
                                                        <tr style="padding: 0;">
                                                            <td style="padding: 0;">

                                                                <span style="font-size: 12px;display: inline-block;font-weight:600"><strong style="font-size: 12px">@item.EventDate</strong></span>

                                                            </td>
                                                        </tr>
                                                    }
                                                    @if (!string.IsNullOrEmpty(item.DayAndTime))
                                                    {
                                                        <tr style="padding: 0">
                                                            <td style="padding: 0">

                                                                <span style="font-size: 12px;display: inline-block;font-weight:600"><strong style="font-size: 12px">@item.DayAndTime</strong></span>

                                                            </td>
                                                        </tr>
                                                    }
                                                    @if (item.AdditionalParameters != null && item.AdditionalParameters.Count > 0)
                                                    {
                                                        <tr style="padding: 0">
                                                            <td style="padding: 0">

                                                                @foreach (var addItem in item.AdditionalParameters)
                                                                {
                                                                    <span style="font-size: 12px;display: inline-block;font-weight:600"><strong style="font-size: 12px">@addItem</strong></span>
                                                                    <br />
                                                                }
                                                            </td>
                                                        </tr>
                                                    }
                                                </table>
                                            </td>
                                        </tr>
                                        @if (item.OrderCharges != null && item.OrderCharges.Count > 0)
                                        {
                                            foreach (var charge in item.OrderCharges)
                                            {
                                                <tr style="background-color: rgba(255,255,255,.11);">
                                                    <th valign="center"
                                                        style="border: none; vertical-align: middle; min-width: 260px;width: 260px;">
                                                        <h3 style="font-size: 12px; line-height: 1.3em; color: #28292a; text-align: center!important; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; padding: 4px 5px;   margin: 0;">
                                                            <strong>@charge.DetailName</strong>
                                                        </h3>
                                                    </th>
                                                    <th valign="center"
                                                        style="vertical-align: middle; border: 1px solid #ccc; color: #000; width: 30%;">
                                                        <h3 style="font-size: 12px; line-height: 1.3em;color: #878787;text-align: center!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;margin: 0">
                                                            @charge.Type
                                                        </h3>
                                                    </th>
                                                    <th valign="center"
                                                        style="background-color: #f3f3f3;border: 1px solid #ccc;vertical-align: middle;width: 30%;">
                                                        <h3 style="font-size: 12px; line-height: 1.3em;color: #878787;text-align: right!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;margin: 0">
                                                            @charge.Price
                                                        </h3>
                                                    </th>
                                                </tr>

                                                totalAmount = totalAmount + charge.Amount;
                                            }
                                        }
                                        @if (item.OrderDiscounts != null && item.OrderDiscounts.Count > 0)
                                        {
                                            foreach (var discount in item.OrderDiscounts)
                                            {
                                                <tr style="background-color: rgba(255,255,255,.11);">
                                                    <th valign="center"
                                                        style="border: none; vertical-align: middle; min-width: 260px;width: 260px;">
                                                        <h3 style="font-size: 12px; line-height: 1.3em; color: #28292a; text-align: center!important; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; padding: 4px 5px;   margin: 0;">
                                                            <strong>@discount.DetailName</strong>
                                                        </h3>
                                                    </th>
                                                    <th valign="center"
                                                        style="vertical-align: middle; border: 1px solid #ccc; color: #000; width: 30%;">
                                                        <h3 style="font-size: 12px; line-height: 1.3em;color: #878787;text-align: center!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;margin: 0">
                                                            Discount
                                                        </h3>
                                                    </th>
                                                    <th valign="center"
                                                        style="background-color: #f3f3f3;border: 1px solid #ccc;vertical-align: middle;width: 30%;">
                                                        <h3 style="font-size: 12px; line-height: 1.3em;color: #878787;text-align: right!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;margin: 0">
                                                            @discount.Price
                                                        </h3>
                                                    </th>
                                                </tr>
                                                totalAmount = totalAmount - Math.Abs(discount.Amount);
                                            }
                                        }
                                        <tr style="background-color: rgba(255,255,255,.11);">
                                            <th valign="center"
                                                style="border: none; vertical-align: middle; min-width: 260px;width: 260px;">
                                                <h3 style="font-size: 14px; line-height: 1.3em; color: #878787; text-align: center!important; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; padding: 4px 5px;   margin: 0;"></h3>
                                            </th>
                                            <th valign="center"
                                                style="vertical-align:middle; border:1px solid #ccc; color:#000; width:30%;">
                                                <h3 style="font-size: 12px; line-height: 1.3em;color: #28292a;text-align: center!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;margin: 0">
                                                    Subtotal
                                                </h3>
                                            </th>
                                            <th valign="center"
                                                style="background-color: #f3f3f3;border: 1px solid #ccc;vertical-align: middle;width: 30%;">
                                                <h3 style="font-size: 12px; line-height: 1.3em;color: #28292a;text-align: right!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;margin: 0">

                                                    @if (totalAmount < 0)
    {
                                                @CurrencyHelper.FormatCurrencyWithPenny(0, item.Currency)
}
else
{
                                                @CurrencyHelper.FormatCurrencyWithPenny(totalAmount, item.Currency)
}

                                                </h3>
                                            </th>
                                        </tr>
                                    </tbody>
                                </table>

                            </td>

                        </tr>
                    }
                    <tr style="background-color: #878787;">
                        <td style="font-size: 12px;width:35%; font-weight: 400;border:none; letter-spacing: 0.7px; padding: 5px; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';text-align: center"></td>

                        <td style="width:65%">

                            <table style="border-radius: 3px 3px 0 0;border-collapse: collapse;">
                                <tbody>
                                    <tr>
                                        <th valign="center"
                                            style="border: none; vertical-align: middle; min-width: 260px;width: 260px;">

                                        </th>
                                        <th valign="center"
                                            style="vertical-align:middle; border:none; color:#000; width:30%;">
                                            <h3 style="letter-spacing: 0.7px; font-size: 14px; line-height: 1.3em; color: #fefefe; text-align: center!important; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; padding: 4px 5px; margin: 0;">
                                                Total
                                            </h3>
                                        </th>

                                        <th valign="center"
                                            style="border: none;vertical-align: middle;width: 30%;">
                                            <h3 style=" font-size: 14px;text-align: right !important; line-height: 1.3em; color: #fefefe; font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; padding: 4px 5px; margin: 0;">
                                                @CurrencyHelper.FormatCurrencyWithPenny(Model.OrderTotalAmount, Model.Currency)
                                            </h3>
                                        </th>
                                    </tr>

                                </tbody>
                            </table>

                        </td>

                    </tr>



                </table>

            </th>
        </tr>
    </tbody>
</table>

<!--------------End row 5---------------------->
<!--------------Start row 6---------------------->

@if (!string.IsNullOrEmpty(Model.InstallmentsBody))
{
    @Html.Raw(Model.InstallmentsBody)
}
<!--------------End row 6---------------------->
<!--------------Start row 7---------------------->

<table class="row"
       style="margin-top: 3px;border-collapse:collapse;border-spacing:0;display:table;padding:0;position:relative;text-align:left;vertical-align:top;width:100%">
    <tbody>
        <tr style="padding:0;text-align:left;vertical-align:top">
            <th class="small-12 large-12 columns first last" valign="center"
                style="Margin:0 auto;color:#0a0a0a;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';font-size:16px;font-weight:400;line-height:1.3;margin:0 auto;padding:0;padding-bottom:6px;padding-left:16px;padding-right:16px;text-align:left;">

                @if (!string.IsNullOrEmpty(Model.FollowUpForms))
                {

                    @Html.Raw(Model.FollowUpForms)}

            </th>
        </tr>
    </tbody>
</table>

<!--------------End row 7---------------------->
